Bug 243800 - misc/dive: fix build on aarch64
Summary: misc/dive: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 16:17 UTC by Mikael Urankar
Modified: 2020-02-24 19:52 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.63 KB, patch)
2020-02-02 16:17 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 16:17:51 UTC
Created attachment 211278 [details]
patch

# golang.org/x/sys/unix                                                                                                                                                                      
vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:51:33 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 19:51:50 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 19:51:17 UTC 2020
New revision: 527041
URL: https://svnweb.freebsd.org/changeset/ports/527041

Log:
  misc/dive: unbreak on aarch64

  Import an upstream patch [1] to fix build on aarch64

  [1] https://github.com/golang/sys/commit/33540a1f603772f9d4b761f416f5c10dade23e96

  PR:		243800
  Approved by:	yuri (maintainer), manu (mentor)

Changes:
  head/misc/dive/files/
  head/misc/dive/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go